> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Banned Members



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/banned-members
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/banned-members:
    get:
      tags:
        - community-moderation-admin
      summary: List Banned Members
      operationId: >-
        community_moderation_admin.get_community_moderation_admin_get_admin_teams_by_team_id_hubs_by_hub_id_moderation_banned_members
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - description: >-
            Sort order for the banned list. One of: -ban_note, -ban_reason,
            -banned_at, -banned_by_name, -member_name, ban_note, ban_reason,
            banned_at, banned_by_name, member_name
          in: query
          name: sort
          required: false
          schema:
            default: '-banned_at'
            description: >-
              Sort order for the banned list. One of: -ban_note, -ban_reason,
              -banned_at, -banned_by_name, -member_name, ban_note, ban_reason,
              banned_at, banned_by_name, member_name
            enum:
              - '-ban_note'
              - '-ban_reason'
              - '-banned_at'
              - '-banned_by_name'
              - '-member_name'
              - ban_note
              - ban_reason
              - banned_at
              - banned_by_name
              - member_name
            title: Sort
            type: string
        - in: query
          name: page[size]
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Page[Size]
            type: integer
        - in: query
          name: page[after]
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page[After]
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/BannedMemberListResponse'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    BannedMemberListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/BannedMemberResource'
          title: Data
          type: array
        included:
          anyOf:
            - items:
                $ref: '#/components/schemas/ContactIncludedResource'
              type: array
            - type: 'null'
          title: Included
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: BannedMemberListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    BannedMemberResource:
      properties:
        attributes:
          $ref: '#/components/schemas/BannedMemberAttributes'
        id:
          title: Id
          type: string
        relationships:
          anyOf:
            - $ref: '#/components/schemas/BannedMemberRelationships'
            - type: 'null'
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: BannedMemberResource
      type: object
    ContactIncludedResource:
      description: >-
        Top-level `included` contact resource (mirrors
        _contact_view_to_included).
      properties:
        attributes:
          $ref: '#/components/schemas/ContactIncludedAttributes'
        id:
          title: Id
          type: string
        type:
          default: contacts
          title: Type
          type: string
      required:
        - id
        - attributes
      title: ContactIncludedResource
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    BannedMemberAttributes:
      properties:
        ban_note:
          anyOf:
            - type: string
            - type: 'null'
          title: Ban Note
        ban_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Ban Reason
        banned_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Banned At
        banned_by_actor:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Banned By Actor
        banned_by_actor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Banned By Actor Id
        banned_by_actor_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Banned By Actor Type
        banned_by_api_key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Banned By Api Key Id
        banned_by_display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Banned By Display Name
        contact_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact Id
        hub_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Hub Id
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
      title: BannedMemberAttributes
      type: object
    BannedMemberRelationships:
      properties:
        banned_member:
          anyOf:
            - $ref: '#/components/schemas/JsonApiToOneRelationship'
            - type: 'null'
      title: BannedMemberRelationships
      type: object
    ContactIncludedAttributes:
      properties:
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        membership_status:
          anyOf:
            - enum:
                - active
                - banned
                - soft_banned
                - left
              type: string
            - type: 'null'
          title: Membership Status
        role:
          anyOf:
            - enum:
                - owner
                - admin
                - moderator
                - member
              type: string
            - type: 'null'
          title: Role
      title: ContactIncludedAttributes
      type: object
    JsonApiToOneRelationship:
      description: 'A JSON:API to-one relationship: {data: {type, id} | null}.'
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/JsonApiResourceLinkage'
            - type: 'null'
      title: JsonApiToOneRelationship
      type: object
    JsonApiResourceLinkage:
      description: 'A JSON:API resource identifier object: {type, id}.'
      properties:
        id:
          title: Id
          type: string
        type:
          title: Type
          type: string
      required:
        - type
        - id
      title: JsonApiResourceLinkage
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http

````